import { BasePluginType } from '@modules/editor/plugin/plugin.type';
import Editor from '@modules/editor';
import { CSS2DObject } from 'three/examples/jsm/renderers/CSS2DRenderer';
import { Line2 } from 'three/examples/jsm/lines/Line2';
export declare const LineName = "ENTER_DISTANCE_LINE";
declare class EnterDistance implements BasePluginType {
    #private;
    private _turnOn;
    private _isDrawingLineMode;
    private _line;
    private _textLabel;
    constructor(editor: Editor);
    get line(): Line2 | null;
    get textLabel(): {
        [key: string]: CSS2DObject;
    };
    get isDrawingLineMode(): boolean;
    init(): void;
    turnOnOff(type: 'on' | 'off'): void;
    remove(): void;
}
export default EnterDistance;
